# Ogre::D3D9RenderSystem::sD3DTextureStageDesc Struct Reference

structure holding texture unit settings for every stage More...

List of all members.

## Public Attributes

D3D9Mappings::eD3DTexType | texType
| the type of the texture
size_t | coordIndex
| wich texCoordIndex to use
TexCoordCalcMethod | autoTexCoordType
| type of auto tex. calc. used
const Frustum * | frustum
| Frustum, used if the above is projection.
IDirect3DBaseTexture9 * | pTex
| texture

## Detailed Description

structure holding texture unit settings for every stage

Definition at line 76 of file OgreD3D9RenderSystem.h.

## Member Data Documentation

TexCoordCalcMethod Ogre::D3D9RenderSystem::sD3DTextureStageDesc::autoTexCoordType

| type of auto tex. calc. used Definition at line 83 of file OgreD3D9RenderSystem.h.

size_t Ogre::D3D9RenderSystem::sD3DTextureStageDesc::coordIndex

| wich texCoordIndex to use Definition at line 81 of file OgreD3D9RenderSystem.h.

const Frustum* Ogre::D3D9RenderSystem::sD3DTextureStageDesc::frustum

| Frustum, used if the above is projection. Definition at line 85 of file OgreD3D9RenderSystem.h.

IDirect3DBaseTexture9* Ogre::D3D9RenderSystem::sD3DTextureStageDesc::pTex

| texture Definition at line 87 of file OgreD3D9RenderSystem.h.

D3D9Mappings::eD3DTexType Ogre::D3D9RenderSystem::sD3DTextureStageDesc::texType

| the type of the texture Definition at line 79 of file OgreD3D9RenderSystem.h.

The documentation for this struct was generated from the following file:

- OgreD3D9RenderSystem.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:25 2005